Bug 76460 - DOC subscript and superscript positioning
Summary: DOC subscript and superscript positioning
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-21 16:48 UTC by Mike Fitzgerald
Modified: 2015-10-14 19:48 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Two page Q&A sheet with formulae for students (17.50 KB, application/msword)
2014-03-21 16:48 UTC, Mike Fitzgerald
Details
attachment-990-0.html (4.70 KB, text/html)
2014-06-30 10:01 UTC, Mike Fitzgerald
Details
attachment-990-1.dat (1 bytes, multipart/alternative)
2014-06-30 10:01 UTC, Mike Fitzgerald
Details
Delay and Latency v2.doc (55.00 KB, application/msword)
2014-06-30 10:01 UTC, Mike Fitzgerald
Details
Delay and Latency v3.doc (13.50 KB, application/msword)
2014-06-30 10:01 UTC, Mike Fitzgerald
Details
Created doc in LibO 4.2 (13.50 KB, application/msword)
2014-07-07 02:17 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Fitzgerald 2014-03-21 16:48:15 UTC
Created attachment 96174 [details]
Two page Q&A sheet with formulae for students

I found it almost impossible to get either sub or superscripts to position properly despite unformatting and reformatting several times. Also, I tried copying stuff from the original MS Word doc which sometimes worked sometimes didn't. In all cases the outcome was unpredictable although the most common was "no change" After an hour on a dozen instances I eventually managed it. Now I find that after reopening the document almost all the sub/superscripts are all over the place. Many are "doubly" sub/superscripted and very little bears any resemblance to the saved document (attached). In the first four lines with sub/superscripts not one is correct. The "prop" and "trans" should all be subscripts, elsewhere there are several 10 to the power 8 where the 8 should superscript and all the rest should be normal. Could it be that original, which I didn't write and contained only the questions, is an MS Word document?

PS Otherwise LibreOffice is my first choice
Comment 1 sophie 2014-04-03 10:02:07 UTC
Hi, I can see what you say with your document, but do not reproduce with a new one. Does it happen with all documents? what is the LibreOffice version and the operating system you are using? Thanks - Sophie
Comment 2 Mike Fitzgerald 2014-04-06 16:33:02 UTC
Hi Sophie
I'll be as accurate as I can. The document was written, not by me, in MS Word and emailed to me. I edited it on an PC running Windows and the latest version of LibreOffice. When I say "Save" I mean save as a MS Word .doc, unless specified otherwise.
I don't remember the exact order of things, but it was, more or less - I opened the document and added the text which was the answers to the questions. The Dprop and Dtrans was formatted as subscript using the Automatic setting. In fact I've just tried it a new document and it doesn't format it as expected but does when Automatic is deselected. One of the things I tried was Copying/Pasting from the already formatted text in the questions. The results were very unpredictable and it took a couple of hours to achieve a satisfactory, printable result. I printed and saved the document and emailed it back. Later I noticed a couple of typos and opened it up again. This was when the formatting was all over the place. I contacted my work colleague to see if his version was the same as mine - it was. I spent a while reformatting but gave up and contacted you. A little later I had another go. Firstly I unformatted everything then saved it as an .odt document. Then reformatted the sub/superscripts and saved it again (as both .odt and .doc files) This seems to have resolved it.

Hope this helps

PS Could you ask the development team to put a "Values/Formulae" CheckBox/toggle  button/in either the menu or on the formula bar in Calc, instead of/as well as hiding it away in Tools/Options/Calc/View?

Mike
Comment 3 Yousuf Philips (jay) (retired) 2014-06-29 23:05:33 UTC
Hi Mike,

Is it possible for you to send us the original doc file before you made the changes to it, with some steps to reproduce this issue, because just with the file you sent, we can see the problems but dont know what went wrong to produce it.
Comment 4 Mike Fitzgerald 2014-06-30 10:01:19 UTC
Created attachment 102002 [details]
attachment-990-0.html

Hi Jay

I've attached the original Word doc (Delay v2) as requested.

It is a while ago now, so this is the best I can remember. Editing was 
done a laptop running Windows XP. The problem occured while editing it 
as a Word doc and always saving it as a Word doc. I spent an hour or 
more just trying to get it right and printed and saved it. It was only 
when I realised there were a couple of errors and re-opened the file 
that the problem showed itself. No matter what I did I could not correct 
it other than remove all the sub/superscript formatting and also tried 
removing the text and re-entering it. Also tried copying and pasting 
from the questions into the answers. I also unformatted and reformatted 
the italics. I did try all of this when doing it the first time. I think 
it is easy to replicate the problem by trying to type in and format the 
answers as per the document you have.

After Qu2 press Enter and type in Dprop = x2. Highlight "prop", ie not 
"D". Select "Format/Character" and "Subscript" and "OK". - Nothing 
appears to happen. Do the same with "2" and format as Superscript. I did 
not change the "Automatic" and "Relative size" settings. Enter some more 
text and do the same but deselect "Automatic" and leave at 33%. This 
appears to work. Now save the document - as Word2000 document. Close the 
document and re-open and you can see the problem. It does on mine as I 
have just repeated it for this email and have attached it as "v3"

I haven't done this today, but I got it to work properly (I think) by 
saving the document as .odt first and then entering the sub/superscripts

I hope this helps

Mike

On 2014-06-30 00:05, bugzilla-daemon@freedesktop.org wrote:
> Jay Philips <mailto:philipz85@hotmail.com> changed bug 76460 
> <https://bugs.freedesktop.org/show_bug.cgi?id=76460>
> What 	Removed 	Added
> Status 	UNCONFIRMED 	NEEDINFO
> CC 		philipz85@hotmail.com
> Ever confirmed 		1
>
> *Comment # 3 <https://bugs.freedesktop.org/show_bug.cgi?id=76460#c3> 
> on bug 76460 <https://bugs.freedesktop.org/show_bug.cgi?id=76460> from 
> Jay Philips <mailto:philipz85@hotmail.com> *
> Hi Mike,
>
> Is it possible for you to send us the original doc file before you made the
> changes to it, with some steps to reproduce this issue, because just with the
> file you sent, we can see the problems but dont know what went wrong to produce
> it.
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 5 Mike Fitzgerald 2014-06-30 10:01:19 UTC
Created attachment 102003 [details]
attachment-990-1.dat
Comment 6 Mike Fitzgerald 2014-06-30 10:01:19 UTC
Created attachment 102004 [details]
Delay and Latency v2.doc
Comment 7 Mike Fitzgerald 2014-06-30 10:01:19 UTC
Created attachment 102005 [details]
Delay and Latency v3.doc
Comment 8 Yousuf Philips (jay) (retired) 2014-07-07 02:17:41 UTC
Created attachment 102337 [details]
Created doc in LibO 4.2

I attempted to reproduce the issue but couldnt with LibreOffice 4.2.5, which makes me think that you have an older version. Which version are you running?
Comment 9 Mike Fitzgerald 2014-07-07 14:08:31 UTC
Hi Jay

This is the info in "Help"

Version: 4.2.4.2
Build ID: 63150712c6d317d27ce2db16eb94c2f3d7b699f8

Mike



On 2014-07-07 03:17, bugzilla-daemon@freedesktop.org wrote:
>
> *Comment # 8 <https://bugs.freedesktop.org/show_bug.cgi?id=76460#c8> 
> on bug 76460 <https://bugs.freedesktop.org/show_bug.cgi?id=76460> from 
> Jay Philips <mailto:philipz85@hotmail.com> *
> Createdattachment 102337  <attachment.cgi?id=102337>  [details]  <attachment.cgi?id=102337&action=edit>
> Created doc in LibO 4.2
>
> I attempted to reproduce the issue but couldnt with LibreOffice 4.2.5, which
> makes me think that you have an older version. Which version are you running?
> ------------------------------------------------------------------------
> You are receiving this mail because:
>
>   * You reported the bug.
>
Comment 10 Yousuf Philips (jay) (retired) 2014-07-07 22:54:56 UTC
Hi Mike,

Please have a look at < https://bugs.freedesktop.org/attachment.cgi?id=102337 > and see if the example file i created is correct according to your instructions, as it didnt exhibit the same problems for me.

As it seems that it will be difficult for me to reproduce this, can you possibly do a screencast showing the steps to reproduce this bug. There are free screencast software including camstudio or screencast-o-matic.com.

Note: Please dont reply to these message by email as it adds unnecessary information into the bug tracking system. Please click on the bug number link provided in the email and you will be taken to this bugzilla page, where you can add your comment and attachments.
Comment 11 Mike Fitzgerald 2014-07-08 16:53:33 UTC
Hi Jay
Your doc is exactly what the output should be and not what I was getting. 

Having worked through it several times more I am finding it difficult to reproduce the fault! I have noticed the following though
a) Formatting sub/superscripted characters with "Automatic" selected does not display the formatting immediately, but only after saving (in .doc format), closing then re-opening.
b) that part of the problem was created by me by not ensuring that any text to the right of x2 (ie x squared) was not formatted as "Normal" but left as superscript then formatted as sub/superscript.

Hope this helps
Mike
Comment 12 Yousuf Philips (jay) (retired) 2014-07-08 19:03:37 UTC
Hi Mike,

Its possible that the issue might have been rectified in 4.2.5, so i'd suggest you upgrade and see if it still happens. If it does, we would need a step sequence to reproduce it as, reopening the saved .doc file that i attached doesnt show the issue.
Comment 13 Owen Genat (retired) 2014-09-30 10:30:41 UTC
Summary amended for clarity.
Comment 14 QA Administrators 2015-09-04 02:56:05 UTC
Dear Bug Submitter,

This bug has been in NEEDINFO status with no change for at least 6 months. Please provide the requested information as soon as possible and mark the bug as UNCONFIRMED. Due to regular bug tracker maintenance, if the bug is still in NEEDINFO status with no change in 30 days the QA team will close the bug as INVALID due to lack of needed information.

For more information about our NEEDINFO policy please read the wiki located here: 
https://wiki.documentfoundation.org/QA/FDO/NEEDINFO

If you have already provided the requested information, please mark the bug as UNCONFIRMED so that the QA team knows that the bug is ready to be confirmed.


Thank you for helping us make LibreOffice even better for everyone!


Warm Regards,
QA Team

This NEEDINFO message was generated on: 2015-09-03
Comment 15 QA Administrators 2015-10-14 19:48:19 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and a lack of information which is needed in order to accurately reproduce and confirm the problem. We encourage you to retest your bug against the latest release. If the issue is still present in the latest stable release, we need the following information (please ignore any that you've already provided):

a) Provide details of your system including your operating system and the latest version of LibreOffice that you have confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED and we will attempt to reproduce the issue. 
Please do not:
a) respond via email 
b) update the version field in the bug or any of the other details on the top section of FDO

Message generated on: 2015-10-14